## org.hornetq.rest.integration
Class EmbeddedRestHornetQJMS

    java.lang.Object
      org.hornetq.rest.integration.EmbeddedRestHornetQ
          org.hornetq.rest.integration.EmbeddedRestHornetQJMS

    public class EmbeddedRestHornetQJMS

extends EmbeddedRestHornetQ

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.hornetq.rest.integration.EmbeddedRestHornetQ
`embeddedHornetQ, manager, tjws`

Constructor Summary
`EmbeddedRestHornetQJMS()`

Method Summary
`org.hornetq.spi.core.naming.BindingRegistry` `getRegistry()`
`protected void` `initEmbeddedHornetQ()`

Methods inherited from class org.hornetq.rest.integration.EmbeddedRestHornetQ
`getEmbeddedHornetQ, getManager, getTjws, setTjws, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmbeddedRestHornetQJMS

    public EmbeddedRestHornetQJMS()

Method Detail

### initEmbeddedHornetQ

    protected void initEmbeddedHornetQ()

  Overrides:
    `initEmbeddedHornetQ` in class `EmbeddedRestHornetQ`

### getRegistry

    public org.hornetq.spi.core.naming.BindingRegistry getRegistry()

Copyright © 2013. All Rights Reserved.